# vim: set ft=spec: -*- rpm-spec -*-
# $Id: i386-mingw32msvc-dx70,v 1.4 2004/10/04 08:12:53 raorn Exp $

%mingw_package

%define pkgname dx70

Name: %cross_arch-%pkgname
Version: 7.0
Release: alt2

Summary: DirectX 7.0 API for MinGW
Group: Development/Other
License: Free (libs), (c) Microsoft Corporation (headers)

BuildArch: noarch

Source: http://www.libsdl.org/extras/win32/common/directx-source.tar.gz
Source1: http://alleg.sourceforge.net/files/dx70_mgw.zip

Patch: directx-7.0-alt-makefile.patch
Patch1: directx-7.0-alt-dinput-fixes.patch

Provides: %cross_arch-directx-devel = %version
Conflicts: %cross_arch-directx-devel < %version
Conflicts: %cross_arch-directx-devel > %version

BuildPreReq: i386-mingw32msvc-devel >= 0.0.2

# Automatically added by buildreq on Sat May 22 2004 (-bi)
BuildRequires: i386-mingw32msvc-binutils i386-mingw32msvc-gcc i386-mingw32msvc-runtime unzip

%description
Mingw32 is short for the Minimalist GNU-Win32 package, and it is a 
package which allows you to use GCC (as supplied by Cygnus in their GNU-
Win32 or Cygwin32 package) the GNU compiler, on Win32 platforms like 
Windows 95 or NT, to compile "native" programs.

This package contains DirectX 7.0 API includes and libraries.

%prep
%setup -q -c
%__unzip -Lqa %SOURCE1
%patch -p1
%patch1 -p1
%__cp -p directx/include/directx.h include/

%build
%make_build -C lib/src all \
	%cross_env

%install
%__mkdir_p %buildroot{%_archincludedir,%_archlibdir}
for i in include/*.h include/*.inl ; do
	%__install -p -m644 "$i" %buildroot%_archincludedir/
done
for i in lib/src/lib*.a ; do
	%__install -p -m644 "$i" %buildroot%_archlibdir/
done

%files
%_archincludedir/*.h
%_archincludedir/*.inl
%_archlibdir/lib*.a

%changelog
* Sun Oct 03 2004 Sir Raorn <raorn@altlinux.ru> 7.0-alt2
- Rebuilt with i386-mingw32msvc-devel

* Fri May 21 2004 Sir Raorn <raorn@altlinux.ru> 7.0-alt1
- Built for Sisyphus


